<?php
namespace Planejamento\Repositories;

class Limpepra extends \Doctrine\ORM\EntityRepository
{

    public static function verificaRestricao($cdfilial, $cdservico, $cdproduto) {

        $query = "SELECT
                    COUNT(*)  AS NRPRODUTO
                  FROM
                    RESTPROD
                  WHERE
                    (CDFILIAL   = :P_CDFILIAL)          AND
                    (CDSERVFILI = :P_CDSERVFILI)         AND
                    (INSTR(:P_CDPRODUTO, CDPRODUTO) = 1) AND
                    (CDPRODUTO  <=  :P_CDPRODUTO)";

        $param = array('P_CDFILIAL' => $cdfilial, 'P_CDSERVFILI' => $cdservico, 'P_CDPRODUTO' => $cdproduto);
        try {
            $conn = \Setforms2\Runtime\Connection::getInstance();
            return $conn->fetchAll($query, $param);
        } catch (\Exception $e) {
            throw $e;
        }

    }

    public static function verificaGrupo($cdfilial, $cdservico, $cdproduto, $cdprato, $cdfilauxprat) {

        $query = "SELECT
                    COUNT(*) AS NRPRODUTO
                  FROM
                    LIMPEPRA , PRODUTO
                  WHERE
                    (LIMPEPRA.CDPRODUTO = PRODUTO.CDPRODUTO) AND
                    (LIMPEPRA.CDFILIAL   = :P_CDFILIAL)   AND
                    (LIMPEPRA.CDSERVFILI = :P_CDSERVFILI) AND
                    (:P_CDPRODUTO LIKE PRODUTO.CDPRODUTO || '%')  AND
                    (LIMPEPRA.CDPRATO    = :P_CDPRATO) AND
                    (LIMPEPRA.CDFILAUXPRAT = 'P' OR LIMPEPRA.CDFILAUXPRAT = :P_CDFILAUXPRAT)
                    ";

        $param = array('P_CDFILIAL' => $cdfilial, 'P_CDSERVFILI' => $cdservico, 'P_CDPRODUTO' => $cdproduto, 'P_CDPRATO' => $cdprato,
            'P_CDFILAUXPRAT' => $cdfilauxprat);
        try {
            $conn = \Setforms2\Runtime\Connection::getInstance();
            return $conn->fetchAll($query, $param);
        } catch (\Exception $e) {
            throw $e;
        }

    }

}