/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_METAVENDA                                                */
/* Tabela : METAVENDA                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 26/03/2004 - Raphael Freitas Pinheiro                                      */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_METAVENDA
BEFORE INSERT OR UPDATE OR DELETE
ON METAVENDA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUMEVE := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDMETAVENDA,0) <> NVL(:NEW.CDMETAVENDA,0)) OR
         (NVL(:OLD.NMMETAVENDA,0) <> NVL(:NEW.NMMETAVENDA,0)) THEN
         :NEW.DTULTATUMEVE := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('METAVENDA', '', 'CDMETAVENDA='||:OLD.CDMETAVENDA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE METAVENDA MODIFY DTULTATUMEVE DEFAULT SYSDATE
/

